Frontal Cephalometric Landmarks
POST /ceph-frontal-points
Detects 118 cephalometric landmarks on frontal (PA) cephalometric X-ray images for craniofacial evaluation.

Image Type: Frontal (PA) Cephalometric Radiograph | Tags: 118 Landmarks Frontal Ceph X-ray AI
Request Parameters​
| Parameter | Type | Required | Description |
|---|---|---|---|
PatientID | string | ✅ | Unique patient identifier |
TimeStamp | string | ✅ | Analysis session timestamp |
ImageName | string | ✅ | Full URL to the image |
Example Request​
curl -X POST \
https://api.annie-insights.com/api/v2/ceph-frontal-points \
-H "Content-Type: application/json" \
-H "x-api-key: YOUR_API_KEY" \
-d '{"PatientID":"P-001","TimeStamp":"2026-05-24","ImageName":"https://example.com/frontal_ceph.jpg"}'
Sample Response​
{
"Version": "2024.1.0",
"NumberOfPredictedPoints": 118,
"Results": {
"Front_58": {"x_coordinate": 669, "y_coordinate": 468},
"Front_36": {"x_coordinate": 515, "y_coordinate": 422},
"SasFront_14": {"x_coordinate": 778, "y_coordinate": 183}
},
"OutputImageUrl": "https://annieapistorage.blob.core.windows.net/..."
}